# jquery.trumpet.js

A jQuery plugin that adds customisable alert and confirm boxes.

### Contents
- [How to use](#how-to-use)
- [Examples](#examples)
- [Documentation](#documentation)
- [License](#license)

## How to use

include both `jquery.trumpet.js` and `jquery.trumpet.css` in your document.

```
<link rel="stylesheet" type="text/css" href="/path/to/jquery.trumpet.js/dist/jquery.trumpet.min.css" />
```
```
<script src="/path/to/jquery.trumpet.js/dist/jquery.trumpet.min.css"></script>
```

Alert and confirm boxes can be thrown by calling methods directly on the jQuery object, or by binding an event to a DOM element. Below are examples using both methods.

**Using the jQuery object:**

```javascript
$.alert();
```
```javascript
$.confirm({
	title: 'Are you sure?',
	message: 'Are you sure you want to do that?',
	coverBackground: true
});
```

**Using jQuery’s selectors:**

```javascript
$('.myElement').alert('mouseover', {
	title: 'You hovered over me!'
});
```
```javascript
$('.myElement').activeConfirm('click', {
	title: 'Are you sure?',
	message: 'Are you sure you want to do that?'
});
```

## Examples

```javascript
$.alert({
	style: 'wasabi',
	title: 'Saved successfully',
	message: 'You have successfully saved you changes.',
	coverBackground: true
});
```
![alert](https://raw.githubusercontent.com/ArranJacques/jquery.trumpet.js/master/docs/images/example-1.jpg)

```javascript
$.confirm({
	style: 'mustard',
	title: 'Delete',
	message: 'Are you sure you want to delete this page?',
	confirmButton: 'Delete'
});
```

![alert](https://raw.githubusercontent.com/ArranJacques/jquery.trumpet.js/master/docs/images/example-2.jpg)

```javascript
$.activeConfirm({
	style: 'heat',
	title: 'Delete',
	message: 'Are you sure you want to delete this page?',
	confirmText: 'DELETE',
	confirmButton: 'Delete'
});
```

![alert](https://raw.githubusercontent.com/ArranJacques/jquery.trumpet.js/master/docs/images/example-3.jpg)

## Documentation

[See Documentation](https://github.com/ArranJacques/jquery.trumpet.js/blob/master/docs/documentation.md)

## License

jquery.trumpet.js is open-sourced software licensed under the [MIT license](http://opensource.org/licenses/MIT)

Copyright (c) 2014 [Arran Jacques](http://arran.io)