var
    gulp = require('gulp'),
    plumber = require('gulp-plumber'),
    gutil = require('gulp-util'),
    watch = require('gulp-watch'),
    csso = require('gulp-csso'),
    autoprefixer = require('gulp-autoprefixer'),
    streamify = require('gulp-streamify'),
    uglify = require('gulp-uglify'),
    rename = require('gulp-rename');

gulp.task('watch', function() {
    gulp.watch(['./src/jquery.trumpet.css'], ['css']);
    gulp.watch(['./src/jquery.trumpet.js'], ['js']);
});

gulp.task('css', function() {

    gulp.src('./src/jquery.trumpet.css')
        .pipe(plumber({
            errorHandler: function(err) {
                gutil.beep();
                gutil.log(err);
                this.emit('end');
            }
        }))
        .pipe(autoprefixer('last 2 version', '> 1%', 'ie 8', 'ie 7'))
        .pipe(csso())
        .pipe(rename('jquery.trumpet.min.css'))
        .pipe(gulp.dest('./dist/'));
});

gulp.task('js', function() {

    gulp.src('./src/jquery.trumpet.js')
    .pipe(plumber({
        errorHandler: function(err) {
            gutil.beep();
            gutil.log(err);
            this.emit('end');
        }
    }))
    .pipe(streamify(uglify()))
    .pipe(rename('jquery.trumpet.min.js'))
    .pipe(gulp.dest('./dist/'));
});